Package org.eclipse.unittest.model

# Enum Class ITestElement.Result

java.lang.Object
java.lang.Enum<ITestElement.Result>
org.eclipse.unittest.model.ITestElement.Result

All Implemented Interfaces:
  `Serializable`, `Comparable<ITestElement.Result>`, `Constable`

Enclosing interface:
  `ITestElement`

public static enum ITestElement.Result extends Enum<ITestElement.Result>
Result states of a test.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
`FAILURE`
`IGNORED`
`OK`
`UNDEFINED`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static ITestElement.Result`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ITestElement.Result[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNDEFINED

public static final ITestElement.Result UNDEFINED

### OK

public static final ITestElement.Result OK

### ERROR

public static final ITestElement.Result ERROR

### FAILURE

public static final ITestElement.Result FAILURE

### IGNORED

public static final ITestElement.Result IGNORED

## Method Details

### values

public static ITestElement.Result[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ITestElement.Result valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<ITestElement.Result>`